### Method

# FwupdPlugin Device add_json

#### Declaration [src]

    void
    fu_device_add_json (
      FuDevice* self,
      FwupdJsonObject* json_obj,
      FwupdCodecFlags flags
    )

#### Description

No description available.

#### Parameters

`json_obj`

  Type: `FwupdJsonObject`

  No description available.

  The data is owned by the caller of the method.

`flags`

  Type: `FwupdCodecFlags`

  No description available.